Get breach categories
Header Parameters
SW-PARTNER-ID*string
Partner organization identifier
SW-API-KEY*string
API authentication key
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/integrations/breach-categories" \ -H "SW-PARTNER-ID: string" \ -H "SW-API-KEY: string"{
"success": true,
"breachCategories": [
{
"id": 1,
"name": "Passwords",
"description": "Compromised passwords",
"tooltip": "Password data was exposed in this breach",
"link": "knowledge-base/passwords",
"isBlacklist": false,
"createdAt": "2024-01-15T10:00:00.000Z"
}
]
}{
"success": false,
"error": "Partner ID and API key are required in headers"
}{
"success": false,
"error": "Partner ID and API key are required in headers"
}{
"success": false,
"error": "Failed to retrieve breach categories"
}